al_win_add_window_callback(3)

NAME

al_win_add_window_callback - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_windows.h>
    bool al_win_add_window_callback(ALLEGRO_DISPLAY *display,
       bool (*callback)(ALLEGRO_DISPLAY *display, UINT message, WPARAM wparam,
       LPARAM lparam, LRESULT *result, void *userdata), void *userdata)

DESCRIPTION

The specified callback function will intercept the window's message before Allegro processes it. If the callback function consumes the event, then it should return true. In that case, Allegro will not do anything with the event.

Optionally, you may use result to customize what Allegro will return return in response to this event. By default, Allegro returns TRUE.

The userdata pointer can be used to supply additional context to the callback function.

The callbacks are executed in the same order they were added.

Returns true if the callback was added.

SINCE

5.1.2